GLEIF company
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-gleif-companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company": "HWUPKR0MPOU8FGXBT394"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-gleif-companies"
payload = { "company": "HWUPKR0MPOU8FGXBT394" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({company: 'HWUPKR0MPOU8FGXBT394'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-gleif-companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "gleif_company",
"company": "HWUPKR0MPOU8FGXBT394",
"company_id": "HWUPKR0MPOU8FGXBT394",
"human": "# GLEIF — LEI record — company\n\n- **Number:** HWUPKR0MPOU8FGXBT394\n- **Pages opened:** 1\n- **Proxy traffic:** 93.4 KB\n- **Name:** Apple Inc.\n- **Status:** ISSUED\n- **Type:** For-Profit Corporation General Stock\n- **Registered:** 1977-01-03\n- **Address:** C/O C T Corporation System, 330 N. Brand Blvd, Suite 700, 91203 Glendale, US-CA, US",
"machine": {
"company": {
"registration_number": "HWUPKR0MPOU8FGXBT394",
"name": "Apple Inc.",
"status": "ISSUED",
"address": "C/O C T Corporation System, 330 N. Brand Blvd, Suite 700, 91203 Glendale, US-CA, US",
"url": "https://search.gleif.org/#/record/HWUPKR0MPOU8FGXBT394",
"company_type": "For-Profit Corporation General Stock",
"incorporation_date": "1977-01-03",
"lei": "HWUPKR0MPOU8FGXBT394",
"legal_name_language": "en",
"other_names": [
{
"name": "Apple Computer, Inc.",
"type": "PREVIOUS_LEGAL_NAME",
"language": "en"
}
],
"transliterated_other_names": [],
"legal_form": {
"code": "H1UM",
"other": null,
"name": "For-Profit Corporation General Stock",
"local_name": "For-Profit Corporation General Stock",
"language": "en",
"country": "United States of America",
"jurisdiction": "California",
"status": "ACTV"
},
"registered_at": {
"id": "RA000598",
"name": "Business Entity Records",
"local_name": "Business Entity Records",
"organization": "Secretary of State",
"local_organization": null,
"website": "https://businesssearch.sos.ca.gov/",
"jurisdictions": [
{
"country": "United States of America",
"country_code": "US",
"jurisdiction": "California"
}
]
},
"registered_at_other": null,
"registered_as": "806592",
"jurisdiction": "US-CA",
"category": "GENERAL",
"sub_category": null,
"entity_status": "ACTIVE",
"expiration_date": null,
"expiration_reason": null,
"associated_entity": null,
"successor_entity": null,
"successor_entities": [],
"bic_codes": [
"APLEUS66XXX"
],
"mic_codes": [],
"ocid": null,
"qcc": null,
"gem": null,
"sp_global_ids": [
"24937"
],
"conformity_flag": "CONFORMING",
"isin_total": 949,
"isins": [
"US037833EY27",
"US03785CXB98"
],
"legal_address": {
"lines": [
"C/O C T Corporation System",
"330 N. Brand Blvd"
],
"number": null,
"number_within_building": null,
"mail_routing": null,
"city": "Glendale",
"region": "US-CA",
"country": "US",
"postal_code": "91203",
"language": "en"
},
"headquarters_address": {
"lines": [
"One Apple Park Way"
],
"number": null,
"number_within_building": null,
"mail_routing": null,
"city": "Cupertino",
"region": "US-CA",
"country": "US",
"postal_code": "95014",
"language": "en"
},
"other_addresses": [],
"registration_status": "ISSUED",
"initial_registration_date": "2012-06-06",
"last_update_date": "2026-03-03",
"next_renewal_date": "2027-03-08",
"corroboration_level": "FULLY_CORROBORATED",
"validated_at": {
"id": "RA000598",
"name": "Business Entity Records",
"local_name": "Business Entity Records",
"organization": "Secretary of State",
"local_organization": null,
"website": "https://businesssearch.sos.ca.gov/",
"jurisdictions": [
{
"country": "United States of America",
"country_code": "US",
"jurisdiction": "California"
}
]
},
"validated_as": "806592",
"other_validation_authorities": [],
"managing_lou": {
"lei": "5493001KJTIIGC8Y1R12",
"name": "Bloomberg Finance L.P.",
"marketing_name": "Bloomberg",
"website": "http://lei.bloomberg.com",
"accreditation_date": "2017-04-13"
},
"fund_manager": null,
"managed_funds_total": 0,
"managed_funds": [],
"managed_fund_relationships": [],
"master_fund": null,
"feeder_funds_total": 0,
"feeder_funds": [],
"umbrella_fund": null,
"sub_funds_total": 0,
"sub_funds": [],
"head_office": null,
"branches_total": 0,
"branches": [],
"branch_relationships": [],
"direct_parent": null,
"direct_parent_exception": {
"category": "DIRECT_ACCOUNTING_CONSOLIDATION_PARENT",
"reason": "NATURAL_PERSONS",
"reference": null,
"valid_from": null,
"valid_to": null
},
"ultimate_parent": null,
"ultimate_parent_exception": {
"category": "ULTIMATE_ACCOUNTING_CONSOLIDATION_PARENT",
"reason": "NATURAL_PERSONS",
"reference": null,
"valid_from": null,
"valid_to": null
},
"direct_children_total": 8,
"direct_children": [
{
"registration_number": "2549008YU9EOMHFUA249",
"name": "APPLE OPERATIONS INDIA PRIVATE LIMITED",
"status": "ISSUED",
"active": true,
"address": "Ground Floor of Tower B, PrimeCo Union City, Plot Nos. 18, 19A And 19B, Sy No. 76 & 87, Sadarmangala Industrial Area, Krishnarajapuram Hobli, Kadugodi, 560067 Bangalore, IN-KA, IN",
"url": "https://search.gleif.org/#/record/2549008YU9EOMHFUA249",
"company_type": "YSP9",
"incorporation_date": "2023-05-10",
"legal_form_code": "YSP9",
"legal_form_other": null,
"entity_status": "ACTIVE",
"category": "GENERAL",
"sub_category": null,
"jurisdiction": "IN",
"country": "IN",
"headquarters_address": "Ground Floor of Tower B, PrimeCo Union City, Plot Nos. 18, 19A And 19B, Sy No. 76 & 87, Sadarmangala Industrial Area, Krishnarajapuram Hobli, Kadugodi, 560067 Bangalore, IN-KA, IN",
"registered_at": "RA000394",
"registered_as": "U72100KA2023PTC173466",
"other_names": [
{
"name": "Apple Operations India Pvt. Ltd.",
"type": "TRADING_OR_OPERATING_NAME",
"language": "en"
}
],
"transliterated_other_names": [],
"initial_registration_date": "2023-08-25",
"last_update_date": "2026-05-19",
"next_renewal_date": "2027-05-25",
"managing_lou": "5493001KJTIIGC8Y1R12",
"corroboration_level": "FULLY_CORROBORATED",
"conformity_flag": "CONFORMING"
},
{
"registration_number": "5493004QI6E3PJNCEB09",
"name": "APPLE CHILE COMERCIAL LIMITADA",
"status": "ISSUED",
"active": true,
"address": "Cerro El Plomo 5630, Torre 8 Piso 20, Las Condes, 7560742 Santiago, CL-RM, CL",
"url": "https://search.gleif.org/#/record/5493004QI6E3PJNCEB09",
"company_type": "CVDP",
"incorporation_date": "2012-03-30",
"legal_form_code": "CVDP",
"legal_form_other": null,
"entity_status": "ACTIVE",
"category": "GENERAL",
"sub_category": null,
"jurisdiction": "CL",
"country": "CL",
"headquarters_address": "Cerro El Plomo 5630, Torre 8 Piso 20, Las Condes, 7560742 Santiago, CL-RM, CL",
"registered_at": "RA000091",
"registered_as": "76.203.916-8",
"other_names": [],
"transliterated_other_names": [],
"initial_registration_date": "2019-12-26",
"last_update_date": "2026-03-03",
"next_renewal_date": "2027-03-08",
"managing_lou": "5493001KJTIIGC8Y1R12",
"corroboration_level": "FULLY_CORROBORATED",
"conformity_flag": "CONFORMING"
}
],
"ultimate_children_total": 20,
"ultimate_children": [
{
"registration_number": "2549005JJKRFXSM5CC84",
"name": "Apple Technology Services India Private Limited",
"status": "ISSUED",
"active": true,
"address": "13th Floor, Concorde Tower C, No. 24, Vittal Mallya Road, Mahatma Gandhi Road, Bangalore North, 560001 Bengaluru, IN-KA, IN",
"url": "https://search.gleif.org/#/record/2549005JJKRFXSM5CC84",
"company_type": "YSP9",
"incorporation_date": "2026-04-10",
"legal_form_code": "YSP9",
"legal_form_other": null,
"entity_status": "ACTIVE",
"category": "GENERAL",
"sub_category": null,
"jurisdiction": "IN",
"country": "IN",
"headquarters_address": "13th Floor, Concorde Tower C, No. 24, Vittal Mallya Road, Mahatma Gandhi Road, Bangalore North, 560001 Bengaluru, IN-KA, IN",
"registered_at": "RA000394",
"registered_as": "U62099KA2026FTC219177",
"other_names": [],
"transliterated_other_names": [],
"initial_registration_date": "2026-06-04",
"last_update_date": "2026-06-04",
"next_renewal_date": "2027-06-04",
"managing_lou": "5493001KJTIIGC8Y1R12",
"corroboration_level": "FULLY_CORROBORATED",
"conformity_flag": "CONFORMING"
},
{
"registration_number": "2549008YU9EOMHFUA249",
"name": "APPLE OPERATIONS INDIA PRIVATE LIMITED",
"status": "ISSUED",
"active": true,
"address": "Ground Floor of Tower B, PrimeCo Union City, Plot Nos. 18, 19A And 19B, Sy No. 76 & 87, Sadarmangala Industrial Area, Krishnarajapuram Hobli, Kadugodi, 560067 Bangalore, IN-KA, IN",
"url": "https://search.gleif.org/#/record/2549008YU9EOMHFUA249",
"company_type": "YSP9",
"incorporation_date": "2023-05-10",
"legal_form_code": "YSP9",
"legal_form_other": null,
"entity_status": "ACTIVE",
"category": "GENERAL",
"sub_category": null,
"jurisdiction": "IN",
"country": "IN",
"headquarters_address": "Ground Floor of Tower B, PrimeCo Union City, Plot Nos. 18, 19A And 19B, Sy No. 76 & 87, Sadarmangala Industrial Area, Krishnarajapuram Hobli, Kadugodi, 560067 Bangalore, IN-KA, IN",
"registered_at": "RA000394",
"registered_as": "U72100KA2023PTC173466",
"other_names": [
{
"name": "Apple Operations India Pvt. Ltd.",
"type": "TRADING_OR_OPERATING_NAME",
"language": "en"
}
],
"transliterated_other_names": [],
"initial_registration_date": "2023-08-25",
"last_update_date": "2026-05-19",
"next_renewal_date": "2027-05-25",
"managing_lou": "5493001KJTIIGC8Y1R12",
"corroboration_level": "FULLY_CORROBORATED",
"conformity_flag": "CONFORMING"
}
],
"publish_date": "2026-10-06"
},
"blocked": false,
"pages_opened": 1,
"proxy_traffic_bytes": 95650
},
"total_points": 5
}Company Registries
GLEIF company
Get one LEI record from the Global LEI Index by LEI code or search.gleif.org link, with the Current Data tab of the page: names, legal form, registration authority, categories, BIC/ISIN codes, addresses, registration and issuer details, fund and branch relationships, and direct and ultimate parents. 5 point per returned record.
POST
/
functions
/
v1
/
run-gleif-companies
GLEIF company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
LEI or search.gleif.org link. e.g. HWUPKR0MPOU8FGXBT394
Response
Run completed.